// http://ionicframework.com/docs/theming/
@import "~@ionic/angular/css/core.css";
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";

@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

h1,
h2,
h3,
.alert-title.sc-ion-alert-md,
ion-button,
ion-select,
.alert-button.sc-ion-alert-md,
.label-stacked.sc-ion-label-md-h,
.sc-ion-segment-md-s>ion-segment-button {
    font-weight: 700;
}

ion-chip {
    margin-left: 2px !important;
    margin-right: 2px !important;
}

.custom-icon-aeon ion-icon {
    background-image: url(./assets/icon/coins/aeon.svg);
    background-size: cover;
}

.custom-icon-loki ion-icon {
    background-image: url(./assets/icon/coins/loki.svg);
    background-size: cover;
}

.custom-icon-ryo ion-icon {
    background-image: url(./assets/icon/coins/ryo.svg);
    background-size: cover;
}

.custom-icon-monero ion-icon {
    background-image: url(./assets/icon/coins/monero.svg);
    background-size: cover;
}

.changed {
    background-color: #d1ffff;
}

.odd-card {
    .changed {
        background-color: #c1efef;
    }
}

.sort-active span {
    text-decoration: underline;
    font-weight: 700;
}

.overflow-ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
}

.active-page {
    border-right: 4px solid var(--ion-color-primary);
}

.needs-setup {
    background-color: var(--ion-toolbar-background-color);
    color: white;
    max-width: 540px;
    margin: 0 auto;
    padding: 24px;
    margin-top: 50px;
    border-radius: 4px;
}

.action-sheet-title.sc-ion-action-sheet-md {
    font-weight: bold;
    font-size: 19px;
}

.no-side-padding {
    padding-left: 0;
    padding-right: 0;
}

.padding-sides {
    padding-left: 15px;
    padding-right: 15px;
}

.no-padding {
    padding: 0;
}

.hash-link {
    display: inherit;
    word-break: break-all;
}

.block-card {
    margin: 0;
    background-color: white;
    border-radius: 0;
    box-shadow: none;
    font-family: var(--monospace-font-family);

    ion-card-content {
        padding: 0;

        >ion-row:first-child {
            >ion-col {
                padding-top: 5px;
            }
        }

        >ion-row:last-child {
            >ion-col {
                padding-bottom: 5px;
            }
        }
    }

    ion-card-content:hover {
        background-color: #dadada;
        .changed {
            background-color: #b1dada;
        }
    }

    ion-col {
        padding: 0;
        padding-left: 5px;
        padding-right: 5px;
    }
}

.parameter {
    display: inline-block;
}

.status-luck-shares,
.valid-time-status {
    min-width: 50px;
}

.height-diff {
    min-width: 81px;
}

.break-all {
    overflow: hidden;
    word-break: break-all;
}

ion-infinite-scroll.infinite-white {

    ion-spinner,
    .infinite-loading-text {
        color: white;
    }

    .infinite-loading-text {
        font-weight: 700;
    }
}

.odd-card {
    background-color: #efefef;
}

.validation-error-icon {
    margin-right: 5px;
    font-size: 16px;
    min-width: 16px;
}

.validation-error-message {
    margin-top: 5px;
}

.inverted-colors {
    ion-list-header {
        font-weight: bold;
        font-size: 16px;
    }
}

.min-content-height {
    min-height: calc(100% - 56px + 80px);
}

.stacked-required {
    font-weight: normal;
    color: var(--ion-color-danger);
}

.transition {
    transition: background-color 0.333s ease-in-out;
}

.animated {
    animation-duration: 0.333s;
    animation-fill-mode: both;
}

.animated.delay {
    animation-delay: 0.14s;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.fadeIn {
    animation-name: fadeIn;
}

@keyframes fadeOut {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

.fadeOut {
    animation-name: fadeOut;
}

p {
    line-height: 1.4;
}

a {
    cursor: pointer;
    text-decoration: none;
    transition: all 0.333s ease-in-out;
    position: relative;
    overflow: hidden;
    top: -1px;
    transform: perspective(1px) translateZ(0);
    display: inline-block;
    vertical-align: middle;
}

a:before {
    content: "";
    position: absolute;
    z-index: -1;
    left: 51%;
    right: 51%;
    bottom: 0;
    background: var(--ion-color-primary);
    height: 2px;
    -webkit-transition-property: left, right;
    transition-property: left, right;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -webkit-transition-timing-function: ease-out;
    transition-timing-function: ease-out;
}

a:hover {
    color: var(--ion-color-primary-hover);
}

a:active {
    color: var(--ion-color-primary-active);
}

a:hover:before,
a:focus:before,
a:active:before {
    left: 0;
    right: 0;
}

.centered-table-body {
    display: table;
    height: 100%;
    width: 100%;
}

.centered-table-cell {
    display: table-cell;
    vertical-align: middle;
}

.container {
    margin-left: auto;
    margin-right: auto;
    max-width: 980px;
}

.legal-container {
    padding-top: 40px;
    padding-bottom: 40px;
    padding-left: 14px;
    padding-right: 14px;
}

.split-pane-md.split-pane-visible>.split-pane-side {
    max-width: 320px;
}

.coin-abbrev,
.pool-hashrate {
    position: relative;
    top: 2px;
    float: right;
}

.no-margin {
    margin: 0;
}

.margin-top {
    margin-top: 14px;
}

ion-router-outlet .inner-scroll {
    --padding-bottom: 80px;
}

.coin-price {
    min-width: 43px;
    text-align: right;
    display: inline-block;
}

.pool-status-icon {
    color: var(--ion-color-success);
}

.pool-status-icon.error,
.coin-price {
    color: var(--ion-color-danger);
}

.positive-twenty-four {
    color: var(--ion-color-success);
}

.pool-menu-toggle {
    --ion-item-background-color: #1A1A1A;
}

.side-menu-list-header-button {
    margin-right: 5px;
}